Outstanding Short Selling Positions Reported(/markets/short_selling_positions)

You can get the outstanding short selling positions reported data.

Overview

This data covers the outstanding short selling position ratio is 0.5% or more of those reported by trading participants in accordance with the "Cabinet Office Order on Restrictions on Securities Transactions"

This data is the same as the following site but has a longer history. https://www.jpx.co.jp/english/markets/public/short-selling/index.htmlarrow-up-right

Attention

circle-info

Parameter and Response

In your request message, either "code", "disclosed_date" or "calculated_date" must be specified. The combination of each parameter and the results of the response are as below.

code
disclosed_date
disclosed_date_from/disclosed_date_to
calculated_date
Result

All historical data of a specific issue.

All listed issue data for the specific date(DisclosedDate).

Data of a specific issue for the specified period.

All listed issue data for the specific date(CalculatedDate).

Data for all listed issues on the specified date(DisclosedDate).

Data for all listed issues on the specified date(CalculatedDate).

Obtain data on the outstanding short selling positions Reported.

GET https://api.jquants-pro.com/v2/markets/short_selling_positions

In your request message, either "code", "disclosed_date" or "calculated_date" must be specified.

"*" is a mandatory item.

Query Parameters

Name
Type
Description

code

String

issue code

(e.g. 8697 or 86970)

If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed.

disclosed_date

String

Date of Disclosure

(e.g. 20240301 or 2024-03-01)

disclosed_date_from

String

starting point of data period

(e.g. 20240301 or 2024-03-01)

disclosed_date_to

String

end point of data period

(e.g. 20240301 or 2024-03-01)

calculated_date

String

Date of Calculation

(e.g. 20240301 or 2024-03-01)

pagination_key

String

The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.

Headers

Name
Type
Description

Authorization*

String

Access key

Data Item

Variable
Discription
Data Type
Remark

DisclosedDate

Date of Disclosure

String

YYYY-MM-DD

CalculatedDate

Date of Calculation

String

YYYY-MM-DD

Code

Code of Stock

String

5-character

StockName

Name of Stock

String

StockNameEnglish

Name of Stock English

String

ShortSellerName

Name of Short Seller

String

The "ShortSellerName" value is listed as reported by market participants, so both Japanese and English names are mixed based on their reporting. Please note that "個人" refers to individual investor.

ShortSellerAddress

Address of Short Seller

String

DiscretionaryInvestmentContractorName

Name of Discretionary Investment Contractor

String

DiscretionaryInvestmentContractorAddress

Address of Discretionary Investment Contractor

String

InvestmentFundName

Name of Investment Fund

String

ShortPositionsToSharesOutstandingRatio

Ratio of Short Positions to Shares Outstanding

Number

ShortPositionsInSharesNumber

Number of Short Positions in Shares

Number

ShortPositionsInTradingUnitsNumber

Number of Short Positions in Trading Units

Number

CalculationInPreviousReportingDate

Date of Calculation in Previous Reporting

String

YYYY-MM-DD

ShortPositionsInPreviousReportingRatio

Ratio of Short Positions in Previous Reporting

Number

Notes

Notes

String

APIコールサンプルコード

Last updated